/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<colorutils.h>)
#  include <colorutils.h>
#endif
#if __has_include(<controls.h>)
#  include <controls.h>
#endif
#if __has_include(<csdcontrols.h>)
#  include <csdcontrols.h>
#endif
#if __has_include(<fontpickermodel.h>)
#  include <fontpickermodel.h>
#endif
#if __has_include(<handy.h>)
#  include <handy.h>
#endif
#if __has_include(<icon.h>)
#  include <icon.h>
#endif
#if __has_include(<imagecolors.h>)
#  include <imagecolors.h>
#endif
#if __has_include(<mauiapp.h>)
#  include <mauiapp.h>
#endif
#if __has_include(<mauilinux.h>)
#  include <mauilinux.h>
#endif
#if __has_include(<mauilist.h>)
#  include <mauilist.h>
#endif
#if __has_include(<mauimodel.h>)
#  include <mauimodel.h>
#endif
#if __has_include(<notify.h>)
#  include <notify.h>
#endif
#if __has_include(<platform.h>)
#  include <platform.h>
#endif
#if __has_include(<platformtheme.h>)
#  include <platformtheme.h>
#endif
#if __has_include(<style.h>)
#  include <style.h>
#endif
#if __has_include(<wheelhandler.h>)
#  include <wheelhandler.h>
#endif
#if __has_include(<windowblur.h>)
#  include <windowblur.h>
#endif
#if __has_include(<windowshadow.h>)
#  include <windowshadow.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_mauikit_controls()
{
    qmlRegisterModule("org.mauikit.controls", 1, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    QMetaType::fromType<AbstractPlatform *>().id();
    qmlRegisterTypesAndRevisions<CSDButton>("org.mauikit.controls", 1);
    qmlRegisterEnum<CSDButton::CSDButtonState>("CSDButton::CSDButtonState");
    qmlRegisterEnum<CSDButton::CSDButtonType>("CSDButton::CSDButtonType");
    qmlRegisterTypesAndRevisions<CSDControls>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<ColorUtils>("org.mauikit.controls", 1);
    qmlRegisterEnum<ColorUtils::Brightness>("ColorUtils::Brightness");
    qmlRegisterTypesAndRevisions<Controls>("org.mauikit.controls", 1);
    qmlRegisterEnum<Controls::Level>("Controls::Level");
    qmlRegisterEnum<Controls::Status>("Controls::Status");
    qmlRegisterTypesAndRevisions<FontPickerModel>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<Handy>("org.mauikit.controls", 1);
    qmlRegisterEnum<Handy::FFactor>("Handy::FFactor");
    qmlRegisterTypesAndRevisions<Icon>("org.mauikit.controls", 1);
    qmlRegisterAnonymousType<QQuickItem, 254>("org.mauikit.controls", 1);
    qmlRegisterEnum<Icon::Status>("Icon::Status");
    qmlRegisterTypesAndRevisions<ImageColors>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<KirigamiWheelEvent>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<MAUIKDE>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<MauiApp>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<MauiKit::Platform::PlatformTheme>("org.mauikit.controls", 1);
    qmlRegisterEnum<MauiKit::Platform::PlatformTheme::ColorSet>("MauiKit::Platform::PlatformTheme::ColorSet");
    qmlRegisterEnum<MauiKit::Platform::PlatformTheme::ColorGroup>("MauiKit::Platform::PlatformTheme::ColorGroup");
    qmlRegisterTypesAndRevisions<MauiList>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<MauiModel>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<Notify>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<NotifyAction>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<Platform>("org.mauikit.controls", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<Style>("org.mauikit.controls", 1);
    qmlRegisterEnum<Style::StyleType>("Style::StyleType");
    qmlRegisterEnum<Style::ScrollBarPolicy>("Style::ScrollBarPolicy");
    qmlRegisterTypesAndRevisions<WheelHandler>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<WindowBlur>("org.mauikit.controls", 1);
    qmlRegisterTypesAndRevisions<WindowShadow>("org.mauikit.controls", 1);
    QT_WARNING_POP
    qmlRegisterModule("org.mauikit.controls", 1, 3);
}

static const QQmlModuleRegistration orgmauikitcontrolsRegistration("org.mauikit.controls", qml_register_types_org_mauikit_controls);
